package com.perforce.maven.scm.provider.p4.cli;

import org.codehaus.plexus.util.cli.StreamConsumer;

public class StringBufferStreamConsumer
    implements StreamConsumer
{
    private StringBuilder output = new StringBuilder();

    public StringBufferStreamConsumer()
    {

    }

    public StringBuilder getOutput()
    {
        return output;
    }

    public void consumeLine( String line )
    {
        output.append( line ).append( "\n" );
    }

}
